Bug 68767 - Always enable ENABLE(OFFLINE_WEB_APPLICATIONS)
: Always enable ENABLE(OFFLINE_WEB_APPLICATIONS)
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
: 68902
: 68012 73749
  Show dependency treegraph
 
Reported: 2011-09-24 15:24 PST by
Modified: 2011-12-03 10:29 PST (History)


Attachments
Patch (130.45 KB, patch)
2011-09-24 15:25 PST, Adam Barth
no flags Review Patch | Details | Formatted Diff | Diff
Patch (130.29 KB, patch)
2011-09-24 15:57 PST, Adam Barth
no flags Review Patch | Details | Formatted Diff | Diff
Patch (130.38 KB, patch)
2011-09-24 16:47 PST, Adam Barth
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-09-24 15:24:10 PST
Always enable ENABLE(OFFLINE_WEB_APPLICATIONS)
------- Comment #1 From 2011-09-24 15:25:38 PST -------
Created an attachment (id=108591) [details]
Patch
------- Comment #2 From 2011-09-24 15:52:31 PST -------
(From update of attachment 108591 [details])
Attachment 108591 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9842415
------- Comment #3 From 2011-09-24 15:57:26 PST -------
Created an attachment (id=108593) [details]
Patch
------- Comment #4 From 2011-09-24 16:38:05 PST -------
(From update of attachment 108593 [details])
Attachment 108593 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/9841421
------- Comment #5 From 2011-09-24 16:47:42 PST -------
Created an attachment (id=108594) [details]
Patch
------- Comment #6 From 2011-09-24 23:03:50 PST -------
Committed r95919: <http://trac.webkit.org/changeset/95919>
------- Comment #7 From 2011-09-26 09:12:04 PST -------
(In reply to comment #6)
> Committed r95919: <http://trac.webkit.org/changeset/95919>

It broke all ENABLE_SQL_DATABASE=0 build, for example Qt Linux Release minimal core builder bot: http://build.webkit.org/builders/Qt%20Linux%20Release%20minimal/builds/33061

I think after this patch we should remove ENABLE_SQL_DATABASE guards too.
------- Comment #8 From 2011-09-26 09:12:20 PST -------
(From update of attachment 108594 [details])
landed patch
------- Comment #9 From 2011-09-26 11:57:53 PST -------
> I think after this patch we should remove ENABLE_SQL_DATABASE guards too.

We probably should narrow the scope of that enable.  It looks like we need SQLiteStatement and friends, but we still want folks to be able to turn off the SQL database web API.  That's something of a dead-end API that folks might not wish to ship.
------- Comment #10 From 2011-09-26 14:06:23 PST -------
Reopen until a proper fix.
------- Comment #11 From 2011-09-27 06:19:46 PST -------
(In reply to comment #9)
> > I think after this patch we should remove ENABLE_SQL_DATABASE guards too.
> 
> We probably should narrow the scope of that enable.  It looks like we need SQLiteStatement and friends, but we still want folks to be able to turn off the SQL database web API.  That's something of a dead-end API that folks might not wish to ship.

I don't understand what do you think. You made OFFLINE_WEB_APPLICATIONS always enabled. And application cache need SQL. How would you like to make OFFLINE_WEB_APPLICATIONS work without SQL?
------- Comment #12 From 2011-09-27 09:28:38 PST -------
> I don't understand what do you think. You made OFFLINE_WEB_APPLICATIONS always enabled. And application cache need SQL. How would you like to make OFFLINE_WEB_APPLICATIONS work without SQL?

ENABLE_SQL_DATABASE isn't really about enabling the SQLite library.  That's something like USE(SQLITE) or something.  ENABLE_SQL_DATABASE is about enabling or disabling the WebSQLDatabase API.

Your approach in Bug 68902 is great.
------- Comment #13 From 2011-12-03 10:17:47 PST -------
It appears that ApplicationCacheStorage can't be built without sqlite; or at least it won't be useful. It's really undesirable to require sqlite in order to build WebKit.
------- Comment #14 From 2011-12-03 10:19:02 PST -------
> It's really undesirable to require sqlite in order to build WebKit.

Why?  As far as I can tell, everyone builds with SQLite anyway.
------- Comment #15 From 2011-12-03 10:20:12 PST -------
(In reply to comment #14)
> > It's really undesirable to require sqlite in order to build WebKit.
> 
> Why?  As far as I can tell, everyone builds with SQLite anyway.

For embedding purposes, not everyone can afford to ship with SQLite.
------- Comment #16 From 2011-12-03 10:26:48 PST -------
I'm inclined to wait for someone who's working on an embedded browser to make that argument.  At the moment, your concern sounds more theoretical than a real problem you're facing.
------- Comment #17 From 2011-12-03 10:29:09 PST -------
(In reply to comment #16)
> I'm inclined to wait for someone who's working on an embedded browser to make that argument.  At the moment, your concern sounds more theoretical than a real problem you're facing.

I know someone porting WebKit to a non-UNIX operating system, and he's facing this problem since SQLite hasn't been ported to his operating system yet.